const fs = require('fs-extra')
const resolve = require('path').resolve
const histPath = resolve(process.cwd(), '.coconfig')

let setting = {}
let isNewProject = !fs.existsSync(histPath)
if (!isNewProject) {
    setting = fs.readJsonSync(histPath)
}

module.exports = {
    setting,
    isNewProject,
    save(obj) {
        fs.outputJsonSync(histPath, Object.assign(setting, obj))
    },
    read() {
        this.setting = setting = fs.readJsonSync(histPath) || {}
    }
}
